org.h2.test.db

## Class TestTableEngines.TreeSetIndexTableEngine

- java.lang.Object
- - org.h2.test.db.TestTableEngines.TreeSetIndexTableEngine

All Implemented Interfaces:
  TableEngine

Enclosing class:
  TestTableEngines

    public static class TestTableEngines.TreeSetIndexTableEngine
    extends java.lang.Object
    implements TableEngine

A table engine that internally uses a tree set.

### Constructor Summary

Constructors
Constructor and Description
`TestTableEngines.TreeSetIndexTableEngine()`

### Method Summary

Methods
`Table` `createTable(CreateTableData data)` Create new table.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestTableEngines.TreeSetIndexTableEngine

    public TestTableEngines.TreeSetIndexTableEngine()

### Method Detail

#### createTable

    public Table createTable(CreateTableData data)

Description copied from interface: `TableEngine`
Create new table.

Specified by:
  `createTable` in interface `TableEngine`
Parameters:
  `data` - the data to construct the table
Returns:
  the created table